#!/bin/sh

mkdir -p tmp
topic="`hg topics --current`"

if [ -n "$topic" ]; then
    hg clone https://bitbucket.org/orus-io/go-xbus tmp/go-xbus
    if (cd tmp/go-xbus && hg up "$topic"); then
        if [ -e "vendor/bitbucket.org/orus-io/go-xbus" ]; then
            rm -r vendor/bitbucket.org/orus-io/go-xbus
            mv tmp/go-xbus vendor/bitbucket.org/orus-io/
        else
            cd ../go-xbus && hg up "$topic"
        fi
    fi
    rm -r tmp
fi
